// Oleg Petruny proprietary.

#pragma once

#include "GameFramework/SaveGame.h"

#include "SaveData.generated.h"

/**
 * Custom game save object
 */
UCLASS(BlueprintType)
class USaveData : public USaveGame
{
    GENERATED_BODY()

public:
    /** Level to load */
    UPROPERTY(VisibleAnywhere)
    FName level;

    /** State of the level */
    UPROPERTY(VisibleAnywhere)
    int32 state;

    /** Checkpoint object name in level */
    UPROPERTY(VisibleAnywhere)
    FName checkpoint;

    UPROPERTY(VisibleAnywhere)
    FName playerLeftPocketItem;

    UPROPERTY(VisibleAnywhere)
    FName playerRightPocketItem;
};
